Skip to main content
POST
Execute a sell quote

Authorizations

x-api-key
string
header
required

API key for authentication

Headers

idempotency-key
string

Defaults to the quote id. A repeat within 24 hours returns the first response.

Required string length: 1 - 255

Path Parameters

quoteId
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$

Response

Default Response

status
enum<string>
required
Available options:
placed
orderId
integer
required

The sell order

Required range: -9007199254740991 <= x <= 9007199254740991
counterpartyOrderIds
integer[]
required

The buy orders it filled

Required range: -9007199254740991 <= x <= 9007199254740991
payout
integer
required

What the seller is paid, in cents

Required range: -9007199254740991 <= x <= 9007199254740991